module one_pulse(pulse_out,trigger_in, clk);
input trigger_in,clk;
output pulse_out;
reg pulse_out, delay;

always @ (posedge clk)
begin
	if (trigger_in && !delay) pulse_out <= 1'b1;
	else pulse_out <= 1'b0;
	delay <= trigger_in;
end 
endmodule
